using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations.DisciplineDb
{
    /// <inheritdoc />
    public partial class updatetableDisciplineDisciplinarysaddDuty : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Duty",
                table: "DisciplineInvestigate_Directors",
                type: "longtext",
                nullable: false,
                comment: "หน้าที่")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Duty",
                table: "DisciplineDisciplinary_DirectorInvestigates",
                type: "longtext",
                nullable: false,
                comment: "หน้าที่")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Duty",
                table: "DisciplineInvestigate_Directors");

            migrationBuilder.DropColumn(
                name: "Duty",
                table: "DisciplineDisciplinary_DirectorInvestigates");
        }
    }
}
